#!/bin/bash
TMP_ZETTELKASTEN=""

setup() {
    source ../zk

    TMP_ZETTELKASTEN="$(mktemp -d)"
}

teardown() {
    rm -rf "$TMP_ZETTELKASTEN"
}

test__zk_new_creates_file_in_correct_directory() {
    export ZKDIR="$TMP_ZETTELKASTEN"
    filename="11111111111111"
    fake date "echo $filename"
    fake _zk_edit echo ""

    _zk_new

    assert "test -e $TMP_ZETTELKASTEN/$filename"
}

test__zk_new_runs_zk_edit_on_new_file() {
    export ZKDIR="$TMP_ZETTELKASTEN"
    filename="11111111111111"
    # shellcheck disable=SC2016
    fake _zk_edit echo '_zk_edit ${FAKE_PARAMS[@]}'
    fake _zk_isosec echo "$filename"
    expected="_zk_edit $filename"

    result="$(_zk_new)"

    assert_equals "$expected" "$result"
}
